Bug 1419570 - Oops on undocking Thinkpad T460p
Summary: Oops on undocking Thinkpad T460p
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 14:25 UTC by Jason Merrill
Modified: 2019-01-09 12:54 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:28:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Jason Merrill 2017-02-06 14:25:13 UTC
Description of problem:

I removed the laptop from the docking station and it froze.


Version-Release number of selected component (if applicable):

kernel-4.9.3-200.fc25.x86_64

How reproducible:

Occasionally

Steps to Reproduce:
1. Undock

Actual results:

Unresponsive system.

Expected results:

Continued normal operation.

Additional info:

Feb 06 08:59:11 orpheus kernel: thinkpad_acpi: undocked from hotplug port replicator
Feb 06 08:59:11 orpheus kernel: usb 1-3.4: USB disconnect, device number 6
Feb 06 08:59:11 orpheus kernel: usb 1-3.4.1: USB disconnect, device number 22
Feb 06 08:59:11 orpheus kernel: usb 1-3.4.1.2: USB disconnect, device number 23
Feb 06 08:59:12 orpheus /usr/libexec/gdm-x-session[2027]: (II) config/udev: removing device Logitech G400s Opti
Feb 06 08:59:12 orpheus /usr/libexec/gdm-x-session[2027]: (**) Option "fd" "101"
Feb 06 08:59:12 orpheus /usr/libexec/gdm-x-session[2027]: (II) UnloadModule: "libinput"
Feb 06 08:59:12 orpheus /usr/libexec/gdm-x-session[2027]: (II) systemd-logind: releasing fd for 13:75
Feb 06 08:59:12 orpheus kernel: BUG: unable to handle kernel paging request at fffffffffffffffe
Feb 06 08:59:12 orpheus kernel: IP: [<ffffffff8f5458a7>] device_del+0x17/0x270
Feb 06 08:59:12 orpheus kernel: PGD 15fe0a067 
Feb 06 08:59:12 orpheus kernel: PUD 15fe0c067 
Feb 06 08:59:12 orpheus kernel: PMD 0 
Feb 06 08:59:12 orpheus kernel: 
Feb 06 08:59:12 orpheus kernel: Oops: 0000 [#1] SMP
Feb 06 08:59:12 orpheus kernel: Modules linked in: snd_seq_dummy rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_
Feb 06 08:59:12 orpheus kernel:  snd_hda_codec intel_rapl_perf iwlwifi snd_hda_core snd_hwdep snd_seq cfg80211 
Feb 06 08:59:12 orpheus kernel: CPU: 6 PID: 25719 Comm: kworker/6:0 Tainted: G        W       4.9.3-200.fc25.x8
Feb 06 08:59:12 orpheus kernel: Hardware name: LENOVO 20FXS0BB0U/20FXS0BB0U, BIOS R07ET69W (2.09 ) 07/28/2016
Feb 06 08:59:12 orpheus kernel: Workqueue: events drm_dp_destroy_connector_work [drm_kms_helper]
Feb 06 08:59:12 orpheus kernel: task: ffff96991b325d00 task.stack: ffffb8f4e7460000
Feb 06 08:59:12 orpheus kernel: RIP: 0010:[<ffffffff8f5458a7>]  [<ffffffff8f5458a7>] device_del+0x17/0x270
Feb 06 08:59:12 orpheus kernel: RSP: 0018:ffffb8f4e7463d10  EFLAGS: 00010282
Feb 06 08:59:12 orpheus kernel: RAX: 0000000000000000 RBX: fffffffffffffffe RCX: ffff9699aed98af8
Feb 06 08:59:12 orpheus kernel: RDX: ffffffffc03d9aa6 RSI: 0000000000000001 RDI: fffffffffffffffe
Feb 06 08:59:12 orpheus kernel: RBP: ffffb8f4e7463d48 R08: ffff9699aed86010 R09: 0000000000000000
Feb 06 08:59:12 orpheus kernel: R10: ffff969902f1dd80 R11: 00000000ce248c14 R12: fffffffffffffffe
Feb 06 08:59:12 orpheus kernel: R13: ffff9699aad7ba80 R14: ffff9699aed86010 R15: ffff9699aad7b688
Feb 06 08:59:12 orpheus kernel: FS:  0000000000000000(0000) GS:ffff9699c1580000(0000) knlGS:0000000000000000
Feb 06 08:59:12 orpheus kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Feb 06 08:59:12 orpheus kernel: CR2: fffffffffffffffe CR3: 0000000403543000 CR4: 00000000003406e0
Feb 06 08:59:12 orpheus kernel: DR0: 00007fffefc45503 DR1: 00007fffffffdb58 DR2: 0000000000000000
Feb 06 08:59:12 orpheus kernel: DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000600
Feb 06 08:59:12 orpheus kernel: Stack:
Feb 06 08:59:12 orpheus kernel:  ffff9699aae9d000 0000000102f1dd80 00000000e184058b fffffffffffffffe
Feb 06 08:59:12 orpheus kernel:  ffff9699a8d60000 ffff9699aad7ba80 ffff9699aed86010 ffffb8f4e7463d60
Feb 06 08:59:12 orpheus kernel:  ffffffff8f545b1a ffff9699aed82800 ffffb8f4e7463d78 ffffffffc03b0dd9
Feb 06 08:59:12 orpheus kernel: Call Trace:
Feb 06 08:59:12 orpheus kernel:  [<ffffffff8f545b1a>] device_unregister+0x1a/0x60
Feb 06 08:59:12 orpheus kernel:  [<ffffffffc03b0dd9>] drm_sysfs_connector_remove+0x39/0x50 [drm]
Feb 06 08:59:12 orpheus kernel:  [<ffffffffc03c2b77>] drm_connector_unregister.part.6+0x27/0x40 [drm]
Feb 06 08:59:12 orpheus kernel:  [<ffffffffc03c2ba4>] drm_connector_unregister+0x14/0x20 [drm]
Feb 06 08:59:12 orpheus kernel:  [<ffffffffc05c389a>] intel_dp_destroy_mst_connector+0x1a/0x80 [i915]
Feb 06 08:59:12 orpheus kernel:  [<ffffffffc04b5614>] drm_dp_destroy_connector_work+0x94/0x140 [drm_kms_helper]
Feb 06 08:59:12 orpheus kernel:  [<ffffffff8f0bc4e4>] process_one_work+0x184/0x430
Feb 06 08:59:12 orpheus kernel:  [<ffffffff8f0bc7de>] worker_thread+0x4e/0x490
Feb 06 08:59:12 orpheus kernel:  [<ffffffff8f0bc790>] ? process_one_work+0x430/0x430
Feb 06 08:59:12 orpheus kernel:  [<ffffffff8f0bc790>] ? process_one_work+0x430/0x430
Feb 06 08:59:12 orpheus kernel:  [<ffffffff8f0c2569>] kthread+0xd9/0xf0
Feb 06 08:59:12 orpheus kernel:  [<ffffffff8f0c2490>] ? kthread_park+0x60/0x60
Feb 06 08:59:12 orpheus kernel:  [<ffffffff8f81be55>] ret_from_fork+0x25/0x30
Feb 06 08:59:12 orpheus kernel: Code: 34 2d 00 5b 5d c3 0f 1f 40 00 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 44 00 0
Feb 06 08:59:12 orpheus kernel: RIP  [<ffffffff8f5458a7>] device_del+0x17/0x270
Feb 06 08:59:12 orpheus kernel:  RSP <ffffb8f4e7463d10>
Feb 06 08:59:12 orpheus kernel: CR2: fffffffffffffffe
Feb 06 08:59:12 orpheus kernel: ---[ end trace 71d86a9d790bcb67 ]---

Comment 2 Laura Abbott 2017-02-06 17:06:07 UTC
Let's have the graphic team take a look. Can you also test on one of the newer kernels? Fixes may have come in since 4.9.3

Comment 3 Vladyslav Shtabovenko 2017-08-28 03:05:13 UTC
Here I have Fedora 26, 4.12.8-300.fc26.x86_64, Lenovo T460p (20FW000DPG) and a ThinkPad Ultra Dock. Docking and undocking works without any issues, no kernel oops observed so far.

Comment 4 Fedora End Of Life 2017-11-16 18:46:45 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:28:46 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.